Subject: bug#17516: [PATCH] grep: no count newline at the head of a text buffer

From: Eric Blake <[email-masked]>
Date: Wed, 21 May 2014 22:52:30 -0600

On 05/21/2014 10:34 PM, Jim Meyering wrote:
> On Sat, May 17, 2014 at 3:59 PM, Norihiro Tanaka <[email-masked]> wrote:
>> Thanks for the review and push.
>>
>> I also submit a test case for this bug.  It fails in grep-2.18.146-ebf3,
>> and succeeds in current master.
> 
> Thanks again.
> However, that new test made it so "make syntax-check" would fail.
> I've suppressed that new failure via the attached:

It's also possible to rewrite the line:

grep -f in 'in' >out || fail=1

so as to avoid needing the suppression (I'm not sure which is prettier).

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org